Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors.invalidation
Class TimeToLiveCacheInvalidationPolicy

`java.lang.Object
oracle.toplink.descriptors.invalidation.CacheInvalidationPolicy
oracle.toplink.descriptors.invalidation.TimeToLiveCacheInvalidationPolicy`

All Implemented Interfaces:
  java.io.Serializable

public class TimeToLiveCacheInvalidationPolicy
extends CacheInvalidationPolicy

PUBLIC: A CacheInvalidationPolicy which allows objects to live for a specific amount of time after they are read. A TimeToLiveCacheInvalidationPolicy is instantiated with a specific number of milliseconds. This represents how long after an object is read it will expire.

See Also:
  `CacheInvalidationPolicy`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.descriptors.invalidation.CacheInvalidationPolicy
`NO_EXPIRY`

Constructor Summary
`TimeToLiveCacheInvalidationPolicy(long timeToLive)` PUBLIC: Construct a TimeToLiveCacheInvalidationPolicy

Method Summary
`long` | `getTimeToLive()` PUBLIC: return the time-to-live specified for this policy
`void` | `setTimeToLive(long timeToLive)` PUBLIC: Set the time-to-live specified by this policy

Methods inherited from class oracle.toplink.descriptors.invalidation.CacheInvalidationPolicy
`setShouldUpdateReadTimeOnUpdate, shouldUpdateReadTimeOnUpdate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeToLiveCacheInvalidationPolicy

    public TimeToLiveCacheInvalidationPolicy(long timeToLive)

  PUBLIC: Construct a TimeToLiveCacheInvalidationPolicy
Parameters:
  `timeToLive` - the number of milliseconds an object affected by this policy will live.

Method Detail

### getTimeToLive

    public long getTimeToLive()

  PUBLIC: return the time-to-live specified for this policy

### setTimeToLive

    public void setTimeToLive(long timeToLive)

  PUBLIC: Set the time-to-live specified by this policy

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD